commons-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Benjamin Graf (JIRA)" <j...@apache.org>
Subject [jira] [Created] (COMPRESS-442) Wrong OSGi import blocks resolving
Date Tue, 06 Feb 2018 15:16:00 GMT
Benjamin Graf created COMPRESS-442:
--------------------------------------

             Summary: Wrong OSGi import blocks resolving
                 Key: COMPRESS-442
                 URL: https://issues.apache.org/jira/browse/COMPRESS-442
             Project: Commons Compress
          Issue Type: Bug
    Affects Versions: 1.16
            Reporter: Benjamin Graf


JIRA COMPRESS-423 has introduced a new import with wrong syntax. Actually commons-compress
is not resolvable anymore. 

is:
{code:xml}
<Import-Package>org.tukaani.xz;resolution:=optional,org.brotli.dec;resolution:=optional,com.github.luben.zstd;resolution=optional</Import-Package>
{code}

to be:
{code:xml}
<Import-Package>org.tukaani.xz;resolution:=optional,org.brotli.dec;resolution:=optional,com.github.luben.zstd;resolution:=optional</Import-Package>
{code}




--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message